void setup()
{
    Serial.begin(9600);	// 通信速度を9600bpsに
    pinMode(5, INPUT);		// 入力として使う
    pinMode(6, INPUT);		// 入力として使う
}

void loop()
{
    int v;
    Serial.write('a');		// 開始合図の「a」を送信
    if(digitalRead(5) == LOW)	// スイッチ1が押されているかどうか
        v = 1;			// 押されていたら1
    else
        v = 0;			// 離されていたら0
    Serial.write(v);		// スイッチ1の状態を送信

    if(digitalRead(6) == LOW)	// スイッチ2に関して同じことを行う
        v = 1;
    else
        v = 0;
    Serial.write(v);

    v = analogRead(0);		// ボリューム1のアナログ電圧を読み込む
    Serial.write(v/4);		// 4で割って送信

    v = analogRead(1);		// ボリューム2に関して同じことを行う
    Serial.write(v/4);

    delay(100);			// 次の送信までに少し時間を空ける
}

