void setup()
{
    Serial.begin(9600);	// 通信速度を9600bpsに
    pinMode(4, OUTPUT);		// 4番ピンから9番ピンまで出力に
    pinMode(5, OUTPUT);
    pinMode(6, OUTPUT);
    pinMode(7, OUTPUT);
    pinMode(8, OUTPUT);
    pinMode(9, OUTPUT);
    digitalWrite(4, LOW);	// 初期状態でモーターを止める
    digitalWrite(5, LOW);
    analogWrite(6, 0);
    digitalWrite(7, LOW);
    digitalWrite(8, LOW);
    analogWrite(9, 0);
}

void loop()
{
    if(Serial.available() > 0){	// データが1つ以上送られて来たか？
        char c = Serial.read();
        if(c == 38){			// 「↑」キーのとき
            digitalWrite(4, HIGH);	// 左タイヤ正転
            digitalWrite(5, LOW);
            analogWrite(6, 128);
            digitalWrite(7, HIGH);	// 右タイヤ正転
            digitalWrite(8, LOW);
            analogWrite(9, 128);
        }
        else if(c == 40){		// 「↓」キーのとき
            digitalWrite(4, LOW);	// 左タイヤ逆転
            digitalWrite(5, HIGH);
            analogWrite(6, 128);
            digitalWrite(7, LOW);	// 右タイヤ逆転
            digitalWrite(8, HIGH);
            analogWrite(9, 128);
        }
        else if(c == 39){		// 「→」キーのとき
            digitalWrite(4, LOW);	// 左タイヤ停止
            digitalWrite(5, LOW);
            analogWrite(6, 0);
            digitalWrite(7, LOW);	// 右タイヤ逆転
            digitalWrite(8, HIGH);
            analogWrite(9, 128);
        }
        else if(c == 37){		// 「←」キーのとき
            digitalWrite(4, LOW);	// 左タイヤ逆転
            digitalWrite(5, HIGH);
            analogWrite(6, 128);
            digitalWrite(7, LOW);	// 右タイヤ停止
            digitalWrite(8, LOW);
            analogWrite(9, 0);
        }
        else if(c == 32){		// スペースキーのとき
            digitalWrite(4, LOW);	// 左タイヤ停止
            digitalWrite(5, LOW);
            analogWrite(6, 0);
            digitalWrite(7, LOW);	// 右タイヤ停止
            digitalWrite(8, LOW);
            analogWrite(9, 0);
        }
    }
}

