import processing.serial.*;    // Arduinoと通信するためのライブラリを読み込む

Serial port;                   // シリアル通信を行うための変数の定義

void setup()
{
    port = new Serial(this, "COM3", 9600);  // 通信ポートと速度の設定
}

void draw()
{
    // 何も書かない
}

void keyPressed()
{
    port.write(keyCode);       // 押されたキーコードを送る
}

void keyReleased()
{
    port.write(32);            // キーが離されたらスペースキーのキーコードを送る
}

