void setup()
{
    Serial.begin(9600);		// 通信速度を9600bpsに
    pinMode(9, OUTPUT);			// 9 ～ 11番ピンを出力に
    pinMode(10, OUTPUT);
    pinMode(11, OUTPUT);
    digitalWrite(9, LOW);		// すべて消灯
    digitalWrite(10, LOW);
    digitalWrite(11, LOW);
}
void loop()
{
    char c;
    if(Serial.available() > 0){
        c = Serial.read();
        if(c == 'L'){			// 「L」だったら
            digitalWrite(9, HIGH);	// 左のLEDを点灯
        }
        else if(c == 'C'){		// 「C」だったら
            digitalWrite(10, HIGH);	// 中央のLEDを点灯
        }
        else if(c == 'R'){		// 「R」だったら
            digitalWrite(11, HIGH);	// 右のLEDを点灯
        }
        else if(c == 'A'){		// 「A」だったら
            digitalWrite(9, HIGH);	// すべてのLEDを点灯
            digitalWrite(10, HIGH);
            digitalWrite(11, HIGH);
        }
        else if(c == 'l'){		// 「l」だったら
            digitalWrite(9, LOW);	// 左のLEDを消灯
        }
        else if(c == 'c'){		// 「c」だったら
            digitalWrite(10, LOW);	// 中央のLEDを消灯
        }
        else if(c == 'r'){		// 「r」だったら
            digitalWrite(11, LOW);	// 右のLEDを消灯
        }
        else if(c == 'a'){		// 「a」だったら
            digitalWrite(9, LOW);	// すべてのLEDを消灯
            digitalWrite(10, LOW);
            digitalWrite(11, LOW);
        }
    }
}

