#include <MsTimer2.h>

#include <MsTimer2.h>		// タイマーのライブラリの読み込む

void flash() {			// タイマー機能で呼び出される関数
    static boolean flag = HIGH;	// 現在のLEDの状態
    if(flag == LOW){		// 消えて入れば
        digitalWrite(13, HIGH);	// LEDを光らせる
        flag = HIGH;		// LEDが光っていることを保存
    }
    else{			// 光っていれば
        digitalWrite(13, LOW);	// LEDを消す
        flag = LOW;		// LEDが消えていることを保存
    }
}

void setup() {
    pinMode(13, OUTPUT);	// 13番ピンを出力に

    MsTimer2::set(500, flash);	// 500ミリ秒ごとにflash関数を呼び出す設定
    MsTimer2::start();		// タイマースタート
}

void loop()
{
    // 何も書かない
}

