void setup()
{
    Serial.begin(9600);	// 通信速度を9600bpsに
    pinMode(4, OUTPUT);		// 4番ピンから9番ピンまで出力に
    pinMode(5, OUTPUT);
    pinMode(6, OUTPUT);
    pinMode(7, OUTPUT);
    pinMode(8, OUTPUT);
    pinMode(9, OUTPUT);
    digitalWrite(4, LOW);	// 初期状態でモーターを止める
    digitalWrite(5, LOW);
    analogWrite(6, 0);
    digitalWrite(7, LOW);
    digitalWrite(8, LOW);
    analogWrite(9, 0);
}

void loop()
{
    char c;
    char v;
    if(Serial.available() > 1){	// データが2つ以上送られて来たか？
        c = Serial.read();
        if(c == 'l'){			// 「l」のときは左車輪を正転
            v = Serial.read();		// 早さを読み込む
            digitalWrite(4, HIGH);
            digitalWrite(5, LOW);
            analogWrite(6, v);
        }
        else if(c == 'L'){		// 「L」のときは左車輪を逆転
            v = Serial.read();
            digitalWrite(4, LOW);
            digitalWrite(5, HIGH);
            analogWrite(6, v);
        }
        else if(c == 'r'){		// 「r」のときは右車輪を正転
            v = Serial.read();
            digitalWrite(7, HIGH);
            digitalWrite(8, LOW);
            analogWrite(9, v);
        }
        else if(c == 'R'){		// 「R」のときは右車輪を逆転
            v = Serial.read();
            digitalWrite(7, LOW);
            digitalWrite(8, HIGH);
            analogWrite(9, v);
        }
    }
}

