void setup()
{
    Serial.begin(9600);	// 通信速度を9600bpsに
    pinMode(10, OUTPUT);	// 出力として使う
    pinMode(11, OUTPUT);	// 出力として使う
}

void loop()
{
    char c, v;
    if(Serial.available() > 0){	// データが1つ以上送られて来たか？
        c = Serial.read();		// データを読み込む
        if(c == 'f'){			// 「f」ならばモーターを正転
            delay(10);
            v = Serial.read();		// 2つ目の値を読み込む
            analogWrite(9, v);		// その値で9番ピンの出力を変える
            digitalWrite(10, HIGH);	// モーターを正転させるためにHIGHと
            digitalWrite(11, LOW);	// LOWにする
        }
        else if(c == 'r'){		// 「r」ならばモーターを逆転
            delay(10);
            v = Serial.read();		// 2つ目の値を読み込む
            analogWrite(9, v);		// その値で9番ピンの出力を変える
            digitalWrite(10, LOW);	// モーターを逆転させるためにLOWと
            digitalWrite(11, HIGH);	// HIGHにする
        }
        else if(c == 's'){		// 「s」ならばモーターをストップで停止
            analogWrite(9, 0);		// 9番ピンの出力を0にする
            digitalWrite(10, LOW);	// モーターをストップさせるためにLOWと
            digitalWrite(11, LOW);	// LOWにする
        }
        else if(c == 'b'){		// 「s」ならばモーターをブレーキで停止
            analogWrite(9, 0);		// 9番ピンの出力0にする
            digitalWrite(10, HIGH);	// モーターをブレーキさせるためにHIGHと
            digitalWrite(11, HIGH);	// HIGHにする
        }
    }
}

