#include <Servo.h>	// サーボモーターを動かすためのライブラリを読み込む

Servo mServo;		// サーボモーターを使うための変数の定義

void setup()
{
    Serial.begin(9600);	// 通信速度を9600bpsに
    mServo.attach(9);		// サーボモーターを動かすピンを設定
    mServo.write(60);		// サーボモーターの初期角度を60度
}

void loop()
{
    if(Serial.available() > 0){	// データが送られてきたか？
        int v = Serial.read();		// 値を読み込む
        mServo.write(v);		// その値でサーボモーターを回す
        delay(1);			// 1ミリ秒待つ
        v = analogRead(0);		// 距離センサの値を読む
        Serial.write(v/4);		// 4で割って送信
    }
}

