int row;							// 表示する桁
int fd[] = {0x20, 0x7C, 0x20, 0x3C, 0x6A, 0xB2, 0x64, 0x00};	// 最初に「あ」を表示

void setup()
{
    int i;
    Serial.begin(9600);		// 通信速度を9600bpsに
    for(i=2; i<14; i++)			// 出力ピンに
        pinMode(i, OUTPUT);
    pinMode(A0, OUTPUT);
    pinMode(A1, OUTPUT);
    pinMode(A2, OUTPUT);
    pinMode(A3, OUTPUT);
    row = 0;
}

void loop()
{
    int i, j;
    if(Serial.available() > 7){	// 8個のデータを受信したら以下の処理を行う
          for(i=0; i<8; i++){
              fd[i] = Serial.read();	// 8個すべて読み込む
          }
    }
    digitalWrite(row+2, LOW);		// 表示していた列を消す
    row++;				// 次の列に
    if(row == 8)row = 0;

    if((fd[row]&0x80) != 0)		// 該当する列のLEDのON/OFF
        digitalWrite(A3, LOW);
    else
        digitalWrite(A3, HIGH);
    if((fd[row]&0x40) != 0)
        digitalWrite(A2, LOW);
    else
        digitalWrite(A2, HIGH);
    if((fd[row]&0x20) != 0)
        digitalWrite(10, LOW);
    else
        digitalWrite(10, HIGH);
    if((fd[row]&0x10) != 0)
        digitalWrite(11, LOW);
    else
        digitalWrite(11, HIGH);
    if((fd[row]&0x08) != 0)
        digitalWrite(12, LOW);
    else
        digitalWrite(12, HIGH);
    if((fd[row]&0x04) != 0)
        digitalWrite(13, LOW);
    else
        digitalWrite(13, HIGH);
    if((fd[row]&0x02) != 0)
        digitalWrite(A0, LOW);
    else
        digitalWrite(A0, HIGH);
    if((fd[row]&0x01) != 0)
        digitalWrite(A1, LOW);
    else
        digitalWrite(A1, HIGH);
    digitalWrite(row+2, HIGH);		// 列の表示
    delay(2);
}

